﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;
using System.IO.IsolatedStorage;

namespace LesFilClientPC
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {   
            IsolatedStorageFile MinIsolertePlass = IsolatedStorageFile.GetUserStoreForApplication();

            //Sjekker om filen finnes, og dersom den ikke finnes settes det inn noen eksempelverdier
            if (!(MinIsolertePlass.FileExists(Class1.Filnavn)))
            {
                //Siden filen ikke finnes, gir vi brukeren beskjed om det
                MessageBox.Show("Tekstfilen " + Class1.Filnavn + " fantes ikke, så den blir nå opprettet", "Advarsel", MessageBoxButton.OK);

                // Lager en skriveforbindelse til filen, merk FileMode.CreateNew
                StreamWriter srLag = new StreamWriter(new IsolatedStorageFileStream(Class1.Filnavn, FileMode.CreateNew, MinIsolertePlass));

                //Skriver verdier til filen
                srLag.WriteLine("Norge");  
                srLag.WriteLine("Sverige");
                srLag.WriteLine("Danmark");
                srLag.Close();   
            }

            // Lager en leseforbindelse til filen og legger filinnholdet inn i tekstboksen
            StreamReader sr = new StreamReader(MinIsolertePlass.OpenFile(Class1.Filnavn, FileMode.Open, FileAccess.ReadWrite));
            // Sett innholdet av filen inn i en tekstboks
            txtFilinnhold.Text = sr.ReadToEnd();
            sr.Close();
            // Fyll kombinasjonsboksen med navn på landene. Dette skal vi gjøre også andre steder i 
            // applikasjonen, derfor er en egendefinert funksjon laget.
            FyllComboBox();
       }

       private void btnLagre_Click(object sender, RoutedEventArgs e)
       {
            IsolatedStorageFile MinIsolertePlass = IsolatedStorageFile.GetUserStoreForApplication();
            // Lager en skriveforbindelse til filen, merk FileMode.Create
            StreamWriter srLag = new StreamWriter(new IsolatedStorageFileStream(Class1.Filnavn, FileMode.Create, MinIsolertePlass));

            //Skriver verdier til filen
            srLag.WriteLine(txtFilinnhold.Text);
            srLag.Close();
            FyllComboBox();
        }
  
       private void FyllComboBox()
       {
           string enlinje;
           comboBox1.Items.Clear();
           IsolatedStorageFile MinIsolertePlass = IsolatedStorageFile.GetUserStoreForApplication();
           StreamReader sr = new StreamReader(MinIsolertePlass.OpenFile(Class1.Filnavn, FileMode.Open, FileAccess.ReadWrite));
           // Sett innholdet av filen inn i en tekstboks
             enlinje = sr.ReadLine();
             while (!(enlinje == null) && (enlinje != ""))
             {
                 comboBox1.Items.Add(enlinje);
                 enlinje = sr.ReadLine();
             }
           sr.Close();
       }
    }
}
